Webhooks

Rotar el secreto de firma

Genera un nuevo secreto whsec_… y lo devuelve una sola vez. El anterior deja de ser válido.

POST
/api/webhooks/{id}/rotate

Autorización

bearerAuth
AutorizaciónBearer <token>

JWT de operador (panel): Authorization: Bearer <jwt>.

In: header

Parámetros de ruta

id*string

Cuerpo de la respuesta

application/json

application/json

curl -X POST "https://example.com/api/webhooks/string/rotate"
{
  "data": {
    "id": "whk_1c9e2f",
    "merchant_id": "string",
    "url": "string",
    "events": [
      "string"
    ],
    "status": "active",
    "secret_masked": "string",
    "description": "string",
    "last_delivery_at": "2019-08-24T14:15:22Z",
    "last_delivery_status": "string",
    "created_at": "2019-08-24T14:15:22Z"
  },
  "secret": "string"
}
{
  "error": "string"
}
¿Te fue útil esta página?